## ros-noetic-rosparam-shortcuts 0.4.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(rosparam_shortcuts)

# C++ 14
add_compile_options(-std=c++14)

find_package(catkin REQUIRED COMPONENTS
  roscpp
  cmake_modules
  eigen_conversions # TODO(davetcoleman) remove this dependency, only for build testing
  roslint
)

find_package(Eigen3 REQUIRED)

catkin_package(
  INCLUDE_DIRS
    include
    ${EIGEN3_INCLUDE_DIR}
  LIBRARIES
    ${PROJECT_NAME}
  CATKIN_DEPENDS
    roscpp
  DEPENDS
    EIGEN3
)

include_directories(SYSTEM
  ${EIGEN3_INCLUDE_DIRS}
)

include_directories(
  include
  ${catkin_INCLUDE_DIRS}
)

###########
## Build ##
###########

add_library(${PROJECT_NAME}
  src/rosparam_shortcuts.cpp
)

target_link_libraries(${PROJECT_NAME}
  ${catkin_LIBRARIES}
)

## Example executable
add_executable(${PROJECT_NAME}_example src/example.cpp)
set_target_properties(${PROJECT_NAME}_example PROPERTIES OUTPUT_NAME example PREFIX "")
target_link_libraries(${PROJECT_NAME}_example
  ${PROJECT_NAME}
  ${catkin_LIBRARIES}
)

#############
## Testing ##
#############

## Test for correct C++ source code
## To run: catkin bot --make-args roslint
roslint_cpp()

#############
## Install ##
#############

# Mark cpp header files for installation
install(TARGETS ${PROJECT_NAME} ${PROJECT_NAME}_example
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

# Mark cpp header files for installation
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
  PATTERN ".svn" EXCLUDE
)

# Mark roslaunch files for installation
install(DIRECTORY launch/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  FILES_MATCHING PATTERN "*.launch"
  PATTERN ".svn" EXCLUDE
)

# Mark config files for installation
install(DIRECTORY config/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  FILES_MATCHING PATTERN "*.yaml"
  PATTERN ".svn" EXCLUDE
)

=== debian/changelog ===
ros-noetic-rosparam-shortcuts (0.4.0-1focal) focal; urgency=high

  * bump cmake version (#13 <https://github.com/PickNikRobotics/rosparam_shortcuts/issues/13>)
    get rid of CMP0048 warning.
    https://github.com/ros-planning/geometric_shapes/pull/129
  * Contributors: Michael Görner

 -- Dave Coleman <davetcoleman@gmail.com>  Mon, 01 Jun 2020 21:00:00 -0000

ros-noetic-rosparam-shortcuts (0.3.3-1focal) focal; urgency=high

  * Switch run_depend to eigen_conversions. (#12 <https://github.com/PickNikRobotics/rosparam_shortcuts/issues/12>)
    Eigen is header-only (so no run_depend needed), but eigen_conversions
    has a library that needs to be pulled in at runtime.
    Signed-off-by: Chris Lalancette <mailto:clalancette@openrobotics.org>
  * Contributors: Chris Lalancette

 -- Dave Coleman <davetcoleman@gmail.com>  Mon, 23 Sep 2019 21:00:00 -0000

ros-noetic-rosparam-shortcuts (0.3.2-1focal) focal; urgency=high

  * Update to new ros_buildfarm workspace directory
  * Add get() for geometry_msgs::Pose
  * Contributors: Henning Kayser

 -- Dave Coleman <davetcoleman@gmail.com>  Tue, 17 Sep 2019 21:00:00 -0000

ros-noetic-rosparam-shortcuts (0.3.1-1focal) focal; urgency=high

  * removing deprecated functions because catkin can't tell the difference between affine3d and isometry3d (#9 <https://github.com/picknikrobotics/rosparam_shortcuts/issues/9>)
  * Travis badge fixup (#8 <https://github.com/picknikrobotics/rosparam_shortcuts/issues/8>)
    * fixing travis and build tags
    * updating install instructions
    * adding melodic ci
  * Contributors: Mike Lautman

 -- Dave Coleman <davetcoleman@gmail.com>  Thu, 11 Apr 2019 21:00:00 -0000

ros-noetic-rosparam-shortcuts (0.3.0-1focal) focal; urgency=high

  * Deprecate Affine3d transforms and support Isometry3d (#7 <https://github.com/picknikrobotics/rosparam_shortcuts/issues/7>)
  * Merge pull request #4 <https://github.com/picknikrobotics/rosparam_shortcuts/issues/4> from PickNikRobotics/kinetic-devel-eigen-additions
    adding support for loading trajectories and loading quaternions
  * removing EigenSTL
  * adding support for loading trajectories and loading quaternions
  * Merge pull request #3 <https://github.com/picknikrobotics/rosparam_shortcuts/issues/3> from gavanderhoorn/patch-1
    Fix minor typo in API doc link.
  * Fix minor typo in API doc link.
  * Contributors: Dave Coleman, G.A. vd. Hoorn, Henning Kayser, mike

 -- Dave Coleman <davetcoleman@gmail.com>  Tue, 09 Apr 2019 21:00:00 -0000

ros-noetic-rosparam-shortcuts (0.2.1-1focal) focal; urgency=high

  * Fix Eigen3 include
  * Fix C++11 compiling method
  * Update Travis for Kinetic
  * Updated README
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Tue, 27 Sep 2016 21:00:00 -0000

ros-noetic-rosparam-shortcuts (0.2.0-1focal) focal; urgency=high

  * Upgrade to Eigen3 per ROS Kinetic requirements
  * Converted to C++11 for ROS Kinetic
  * Removed deprecated functions
  * Improve documentation
  * fix typo
  * Added loading a vector to example
  * Contributors: Dave Coleman, Sammy Pfeiffer

 -- Dave Coleman <davetcoleman@gmail.com>  Tue, 28 Jun 2016 21:00:00 -0000

ros-noetic-rosparam-shortcuts (0.1.1-1focal) focal; urgency=high

  * Fixed CMake build
  * Ran roslint
  * Ran catkin lint
  * Updated example
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Thu, 17 Dec 2015 22:00:00 -0000

ros-noetic-rosparam-shortcuts (0.1.0-1focal) focal; urgency=high

  * Deprecated long named functions in favor of short named functions
  * Removed redundant unsigned int function
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Wed, 16 Dec 2015 22:00:00 -0000

ros-noetic-rosparam-shortcuts (0.0.7-1focal) focal; urgency=high

  * Added shortcut version of functions
  * Fix install
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Sat, 12 Dec 2015 22:00:00 -0000

ros-noetic-rosparam-shortcuts (0.0.6-1focal) focal; urgency=high

  * Added example code
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Wed, 09 Dec 2015 22:00:00 -0000

ros-noetic-rosparam-shortcuts (0.0.5-1focal) focal; urgency=high

  * Attempting to fix Eigen
  * Fix missing dependency
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Tue, 08 Dec 2015 22:00:00 -0000

ros-noetic-rosparam-shortcuts (0.0.4-1focal) focal; urgency=high

  * Attempt to fix Eigen include dir
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Sun, 06 Dec 2015 22:00:00 -0000

ros-noetic-rosparam-shortcuts (0.0.3-1focal) focal; urgency=high

  * Added travis support
  * catkin lint cleanup
  * Switched travis to jade branch
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Fri, 04 Dec 2015 22:00:00 -0000

ros-noetic-rosparam-shortcuts (0.0.2-1focal) focal; urgency=high

  * Initial release
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Wed, 02 Dec 2015 22:00:00 -0000

=== debian/control ===
Source: ros-noetic-rosparam-shortcuts
Section: misc
Priority: optional
Maintainer: Dave Coleman <davetcoleman@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-noetic-catkin, ros-noetic-cmake-modules, ros-noetic-eigen-conversions, ros-noetic-roscpp, ros-noetic-roslint
Homepage: https://github.com/davetcoleman/rosparam_shortcuts
Standards-Version: 3.9.2

Package: ros-noetic-rosparam-shortcuts
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-eigen-conversions, ros-noetic-roscpp
Description: Quickly load variables from rosparam with good command line error checking.
